cascading.tuple.hadoop

## Class TupleSerialization.SerializationElementWriter

- java.lang.Object
- - cascading.tuple.hadoop.TupleSerialization.SerializationElementWriter

- All Implemented Interfaces:
    TupleOutputStream.ElementWriter
  Enclosing class:
    TupleSerialization

      public static class TupleSerialization.SerializationElementWriter
      extends java.lang.Object
      implements TupleOutputStream.ElementWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleSerialization.SerializationElementWriter(TupleSerialization tupleSerialization)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `TupleSerialization` | `getTupleSerialization()`
    `void` | `write(java.io.DataOutputStream outputStream, java.lang.Class<?> type, java.lang.Object object)`
    `void` | `write(java.io.DataOutputStream outputStream, java.lang.Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleSerialization.SerializationElementWriter

          public TupleSerialization.SerializationElementWriter(TupleSerialization tupleSerialization)

  - ### Method Detail

    - #### getTupleSerialization

          public TupleSerialization getTupleSerialization()

    - #### write

          public void write(java.io.DataOutputStream outputStream,
                   java.lang.Object object)
                     throws java.io.IOException

      Specified by:
        `write` in interface `TupleOutputStream.ElementWriter`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutputStream outputStream,
                   java.lang.Class<?> type,
                   java.lang.Object object)
                     throws java.io.IOException

      Specified by:
        `write` in interface `TupleOutputStream.ElementWriter`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `TupleOutputStream.ElementWriter`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.